## python-pbr 5.6.0

=== debian/changelog ===
python-pbr (5.6.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 14 Jun 2021 11:12:46 +0000

python-pbr (5.6.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/*: Sync in changes from uploads.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 10:47:53 +0000

python-pbr (5.5.1-0ubuntu3) impish; urgency=medium

  * python2-rm: Fix update-alternatives in python3-pbr.postinst

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 10 Jun 2021 12:14:27 +0200

python-pbr (5.5.1-0ubuntu2) impish; urgency=medium

  * python2-rm: Drop python-pbr binary package and py2 dependency.

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 09 Jun 2021 13:28:38 +0200

=== debian/control ===
Source: python-pbr
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Prach Pongpanich <prachpub@gmail.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 git,
 gnupg,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-all-dev <!nocheck>,
 python3-coverage <!nocheck>,
 python3-coverage (>= 4.0) <!nocheck>,
 python3-fixtures (>= 3.0.0) <!nocheck>,
 python3-markupsafe <!nocheck>,
 python3-mock (>= 2.0.0) <!nocheck>,
 python3-openstackdocstheme (>= 1.18.1) <!nocheck>,
 python3-pip <!nocheck>,
 python3-six (>= 1.12.0) <!nocheck>,
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.1.0) <!nocheck>,
 python3-testrepository (>= 0.0.18) <!nocheck>,
 python3-testresources (>= 2.0.0) <!nocheck>,
 python3-testscenarios (>= 0.4) <!nocheck>,
 python3-testtools (>= 2.2.0) <!nocheck>,
 python3-virtualenv (>= 20.0.3) <!nocheck>,
 python3-wheel (>= 0.32.0) <!nocheck>,
 subunit <!nocheck>,
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-pbr
Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-pbr
Homepage: https://pypi.python.org/pypi/pbr

Package: python-pbr-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: inject useful and sensible default behaviors into setuptools - doc
 PBR (Python Build Reasonableness) is a library that injects some useful and
 sensible default behaviors into your setuptools run. PBR can:
  * Manage version number based on git revisions and tags (Version file).
  * Generate AUTHORS file from git log
  * Generate ChangeLog from git log
  * Generate Sphinx autodoc stub files for your whole module
  * Store your dependencies in a pip requirements file
  * Use your README file as a long_description
  * Smartly find packages under your root package
 .
 PBR is only mildly configurable. The basic idea is that there's a decent way
 to run things and if you do, you should reap the rewards, because then it's
 simple and repeatable. If you want to do things differently, cool! But you've
 already got the power of Python at your fingertips, so you don't really need
 PBR.
 .
 PBR builds on top of the work that d2to1 started to provide for declarative
 configuration. d2to1 is itself an implementation of the ideas behind
 distutils2. Although distutils2 is now abandoned in favor of work towards PEP
 426 and Metadata 2.0, declarative config is still a great idea and
 specifically important in trying to distribute setup code as a library when
 that library itself will alter how the setup is processed. As Metadata 2.0 and
 other modern Python packaging PEPs come out, PBR aims to support them as
 quickly as possible.
 .
 This package provides the documentation.

Package: python3-pbr
Architecture: all
Depends:
 python3-pkg-resources,
 python3-setuptools,
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Description: inject useful and sensible default behaviors into setuptools - Python 3.x
 PBR (Python Build Reasonableness) is a library that injects some useful and
 sensible default behaviors into your setuptools run. PBR can:
  * Manage version number based on git revisions and tags (Version file).
  * Generate AUTHORS file from git log
  * Generate ChangeLog from git log
  * Generate Sphinx autodoc stub files for your whole module
  * Store your dependencies in a pip requirements file
  * Use your README file as a long_description
  * Smartly find packages under your root package
 .
 PBR is only mildly configurable. The basic idea is that there's a decent way
 to run things and if you do, you should reap the rewards, because then it's
 simple and repeatable. If you want to do things differently, cool! But you've
 already got the power of Python at your fingertips, so you don't really need
 PBR.
 .
 PBR builds on top of the work that d2to1 started to provide for declarative
 configuration. d2to1 is itself an implementation of the ideas behind
 distutils2. Although distutils2 is now abandoned in favor of work towards PEP
 426 and Metadata 2.0, declarative config is still a great idea and
 specifically important in trying to distribute setup code as a library when
 that library itself will alter how the setup is processed. As Metadata 2.0 and
 other modern Python packaging PEPs come out, PBR aims to support them as
 quickly as possible.
 .
 This package provides support for Python 3.x.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack-dev/pbr.git
include /usr/share/openstack-pkg-tools/pkgos.make

#export http_proxy=127.0.0.1:9
#export https_proxy=127.0.0.1:9

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf .stestr build __pycache__

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	if ! dpkg-vendor --derives-from ubuntu; then \
		set -e && $(CURDIR)/debian/tests/unit; \
	fi
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-pbr-doc/usr/share/doc/python-pbr-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-pbr 5.8.0

=== debian/changelog ===
python-pbr (5.8.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Dec 2021 15:21:49 -0500

python-pbr (5.7.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control, d/rules: Bump debhelper compat to 13 and switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Dec 2021 16:41:15 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Thomas Goirand <zigo@debian.org>,
  Prach Pongpanich <prachpub@gmail.com>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
  git,
  gnupg,

## python-pbr 5.8.1

=== debian/changelog ===
python-pbr (5.8.1-2~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 24 Mar 2022 10:54:16 +0000

python-pbr (5.8.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 11:50:40 +0100

python-pbr (5.8.1-1) experimental; urgency=medium

  * New upstream release.
  * Better clean target.
  * Blacklist test_pep_517_support() (not interesting for Debian anyways).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Feb 2022 15:46:07 +0100

python-pbr (5.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 11:31:22 +0200

python-pbr (5.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Aug 2021 10:12:54 +0200

python-pbr (5.5.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 10:34:44 +0200

python-pbr (5.5.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 11:32:39 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,15 @@
 UPSTREAM_GIT := https://github.com/openstack-dev/pbr.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
-#export http_proxy=127.0.0.1:9
-#export https_proxy=127.0.0.1:9
+export http_proxy=127.0.0.1:9
+export https_proxy=127.0.0.1:9
 
 %:
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf .stestr build __pycache__
+	find . -type d -iname __pycache__ -exec rm -r {} \;
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -20,9 +21,8 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	if ! dpkg-vendor --derives-from ubuntu; then \
-		set -e && $(CURDIR)/debian/tests/unit; \
-	fi
+	pkgos-dh_auto_test --no-py2 'pbr\.tests(?!.*test_packaging\.TestRequirementParsing\.test_requirement_parsing.*|.*test_core\.TestCore\.test_setup_py_keywords.*|.*test_packaging\.TestPEP517Support\.test_pep_517_support.*)'
+
 endif
 
 override_dh_sphinxdoc:

## python-pbr 5.10.0

=== debian/changelog ===
python-pbr (5.10.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Blacklist test_wsgi_script_install() (no such file or directory).

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Sep 2022 16:53:18 +0200

python-pbr (5.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Aug 2022 11:51:55 +0200

=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'pbr\.tests(?!.*test_packaging\.TestRequirementParsing\.test_requirement_parsing.*|.*test_core\.TestCore\.test_setup_py_keywords.*|.*test_packaging\.TestPEP517Support\.test_pep_517_support.*)'
-
+	pkgos-dh_auto_test --no-py2 'pbr\.tests(?!.*test_packaging\.TestRequirementParsing\.test_requirement_parsing.*|.*test_core\.TestCore\.test_setup_py_keywords.*|.*test_packaging\.TestPEP517Support\.test_pep_517_support.*|.*test_wsgi\.TestWsgiScripts\.test_wsgi_script_install.*)'
 endif
 
 override_dh_sphinxdoc:

## python-pbr 5.11.1

=== debian/changelog ===
python-pbr (5.11.1-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:27:50 -0500

python-pbr (5.11.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Dec 2022 14:32:31 -0500

python-pbr (5.10.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 20:35:20 -0400

python-pbr (5.9.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 16:38:09 -0400

=== debian/control ===
--- 
+++ 
@@ -34,10 +34,9 @@
  python3-virtualenv (>= 20.0.3) <!nocheck>,
  python3-wheel (>= 0.32.0) <!nocheck>,
  subunit <!nocheck>,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-pbr
-Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-pbr
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-pbr
 Homepage: https://pypi.python.org/pypi/pbr
 
 Package: python-pbr-doc

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pbr

UPSTREAM_GIT := https://github.com/openstack-dev/pbr.git
include /usr/share/openstack-pkg-tools/pkgos.make

#export http_proxy=127.0.0.1:9
#export https_proxy=127.0.0.1:9

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf .stestr build __pycache__

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	if ! dpkg-vendor --derives-from ubuntu; then \
		set -e && $(CURDIR)/debian/tests/unit; \
	fi
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-pbr-doc/usr/share/doc/python-pbr-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-pbr 6.0.0

=== debian/changelog ===
python-pbr (6.0.0-2) unstable; urgency=medium

  * Removed extreneous build-dep on python3-mock (Closes: #1072293).

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Jun 2024 12:45:14 +0200

python-pbr (6.0.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1060153).
  * Do not use six anymore.
  * Removed patches applied upstream:
    - Replace-imp-with-importlib.machinery.patch
    - remove_sphinx_doc_building_integration.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Feb 2024 14:49:08 +0100

python-pbr (5.11.1-5) unstable; urgency=medium

  * Add Replace-imp-with-importlib.machinery.patch (Closes: #1058140).
  * Cleans better.
  * autopkgtest: blacklist TestPEP517Support.test_pep_517_support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Dec 2023 16:37:27 +0100

python-pbr (5.11.1-4) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch to remove Sphinx doc building integration
    (closes: #1042668).

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Nov 2023 18:45:18 +0100

python-pbr (5.11.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1045383).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 11:29:34 +0200

python-pbr (5.11.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:15:25 +0200

python-pbr (5.11.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Feb 2023 14:30:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,42 +1,38 @@
 Source: python-pbr
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Prach Pongpanich <prachpub@gmail.com>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper-compat (= 10),
  dh-python,
  git,
  gnupg,
  openstack-pkg-tools,
  python3-all,
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx <!nodoc>,
 Build-Depends-Indep:
  python3-all-dev <!nocheck>,
  python3-coverage <!nocheck>,
- python3-coverage (>= 4.0) <!nocheck>,
- python3-fixtures (>= 3.0.0) <!nocheck>,
+ python3-fixtures <!nocheck>,
  python3-markupsafe <!nocheck>,
- python3-mock (>= 2.0.0) <!nocheck>,
- python3-openstackdocstheme (>= 1.18.1) <!nocheck>,
+ python3-openstackdocstheme <!nocheck>,
  python3-pip <!nocheck>,
- python3-six (>= 1.12.0) <!nocheck>,
- python3-sphinxcontrib.apidoc (>= 0.2.0),
- python3-stestr (>= 2.1.0) <!nocheck>,
- python3-testrepository (>= 0.0.18) <!nocheck>,
- python3-testresources (>= 2.0.0) <!nocheck>,
- python3-testscenarios (>= 0.4) <!nocheck>,
- python3-testtools (>= 2.2.0) <!nocheck>,
- python3-virtualenv (>= 20.0.3) <!nocheck>,
- python3-wheel (>= 0.32.0) <!nocheck>,
+ python3-sphinxcontrib.apidoc <!nodoc>,
+ python3-stestr <!nocheck>,
+ python3-testresources <!nocheck>,
+ python3-testscenarios <!nocheck>,
+ python3-testtools <!nocheck>,
+ python3-virtualenv (>= 20.0) <!nocheck>,
+ python3-wheel <!nocheck>,
  subunit <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-pbr
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-pbr
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-pbr.git
 Homepage: https://pypi.python.org/pypi/pbr
 
 Package: python-pbr-doc
@@ -79,7 +75,6 @@
 Depends:
  python3-pkg-resources,
  python3-setuptools,
- python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack-dev/pbr.git
include /usr/share/openstack-pkg-tools/pkgos.make

export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf .stestr build __pycache__ pbr.egg-info
	find . -type d -name __pycache__ -exec rm -r {} \+
	rm -rf doc/source/reference/api

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'pbr\.tests(?!.*test_packaging\.TestRequirementParsing\.test_requirement_parsing.*|.*test_core\.TestCore\.test_setup_py_keywords.*|.*test_packaging\.TestPEP517Support\.test_pep_517_support.*|.*test_wsgi\.TestWsgiScripts\.test_wsgi_script_install.*)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-pbr-doc/usr/share/doc/python-pbr-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-pbr 6.1.0

=== debian/changelog ===
python-pbr (6.1.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090588).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 23:49:30 +0100

python-pbr (6.1.0-3) unstable; urgency=medium

  * Removed runtime depends on python3-pkg-resources (Closes: #1083679).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Oct 2024 11:29:41 +0200

python-pbr (6.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:30:15 +0200

python-pbr (6.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Aug 2024 11:05:47 +0200

## python-pbr 6.1.1

=== doc/requirements.txt ===
setuptools;python_version>='3.12'
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4' # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-pbr (6.1.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.
  * d/p/do-not-use-six.patch: Drop, no longer required.

 -- James Page <james.page@ubuntu.com>  Fri, 14 Feb 2025 15:58:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-pbr
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Prach Pongpanich <prachpub@gmail.com>,
@@ -73,7 +74,6 @@
 Package: python3-pbr
 Architecture: all
 Depends:
- python3-pkg-resources,
  python3-setuptools,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export https_proxy=127.0.0.1:9
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf .stestr build __pycache__ pbr.egg-info

## python-pbr 7.0.1

=== debian/changelog ===
python-pbr (7.0.1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 11:56:58 +0200

python-pbr (7.0.1-2) experimental; urgency=medium

  * Relax python3-sphinxcontrib.apidoc b-d version.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Aug 2025 15:13:23 +0200

python-pbr (7.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Remove disable_tests.patch as test file is gone upstream.
  * Blacklist 5 tests that are needed either an internet connection, or a
    setup of pbr_wsgi_script in PATH.
  * b-d: require sphinxcontrib.apidoc (>= 0.6.0).
  * Add python3-reno to b-d.
  * Add remove-inclusion-of-missing-ChangeLog-file.patch.
  * Dump sphinx error log if failure.
  * Add do-not-use-reno-for-doc.patch, as reno is failing if toplevel isn't a
    git repository.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Aug 2025 14:38:58 +0200

python-pbr (6.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 07:57:02 +0100

python-pbr (6.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed do-not-use-six.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 13:01:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-pbr
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Prach Pongpanich <prachpub@gmail.com>,
@@ -22,6 +21,7 @@
  python3-markupsafe <!nocheck>,
  python3-openstackdocstheme <!nocheck>,
  python3-pip <!nocheck>,
+ python3-reno <!nodoc>,
  python3-sphinxcontrib.apidoc <!nodoc>,
  python3-stestr <!nocheck>,
  python3-testresources <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -22,12 +22,15 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'pbr\.tests(?!.*test_packaging\.TestRequirementParsing\.test_requirement_parsing.*|.*test_core\.TestCore\.test_setup_py_keywords.*|.*test_packaging\.TestPEP517Support\.test_pep_517_support.*|.*test_wsgi\.TestWsgiScripts\.test_wsgi_script_install.*)'
+	pkgos-dh_auto_test --no-py2 'pbr\.tests\.(?!test_packaging\.TestRequirementParsing\.test_requirement_parsing.*|test_packaging\.TestPEP517Support\.test_pep_517_support.*|functional\.test_wsgi_scripts\.TestWsgiScripts\.test_with_argument|functional\.test_wsgi_scripts\.TestWsgiScripts\.test_wsgi_script_install|functional\.test_wsgi_scripts.TestWsgiScripts\.test_wsgi_script_run|functional\.test_pep517\.TestPEP517Support\.test_pep_517_support|functional\.test_requirements\.TestRequirementParsing\.test_requirement_parsing)'
 endif
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-pbr-doc/usr/share/doc/python-pbr-doc/html
+	if ! PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-pbr-doc/usr/share/doc/python-pbr-doc/html ; then \
+		cat /tmp/sphinx-err-*.log ; \
+		exit 1 ; \
+	fi
 	dh_sphinxdoc
 endif

## python-pbr 7.0.3

=== requirements.txt ===
# PBR always implicitly depended on setuptools which until python3.12
# was included by default in python installations. Since python3.12
# setuptools is not included so we add an explicit dependency on
# setuptools here. For the sake of simplicity we don't set an
# environment marker restricting this to specific Python versions,
# since in older environments it should just be a no-op anyway.
#
# DO NOT add any other dependencies as PBR is meant to be minimalist
# to avoid problems with bootstrapping build environments.

setuptools

=== debian/changelog ===
python-pbr (7.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Add python3-packaging as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Nov 2025 12:25:09 +0100

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
  python3-fixtures <!nocheck>,
  python3-markupsafe <!nocheck>,
  python3-openstackdocstheme <!nocheck>,
+ python3-packaging,
  python3-pip <!nocheck>,
  python3-reno <!nodoc>,
  python3-sphinxcontrib.apidoc <!nodoc>,

=== debian/tests/control ===
Tests: unit
Depends:
 python3-pip,
 python3-virtualenv,
 @,
 @builddeps@,
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/pbr/tags .*/(\d[brc\d\.]+)\.tar\.gz
